Skip to main content
GET
/
access-rules
cURL
curl --request GET \
  --url https://api.opal.dev/v1/access-rules \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "access_rule_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
      "name": "Platform Engineering",
      "description": "This access rule represents all platform engineers in the company.",
      "admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
      "status": "ACTIVE",
      "ruleClauses": {
        "when": {
          "clauses": [
            {
              "selectors": [
                {
                  "key": "<string>",
                  "value": "<string>",
                  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                }
              ],
              "attribute_selectors": [
                {
                  "attribute": "HR_IDP_STATUS",
                  "values": [
                    "<string>"
                  ]
                }
              ]
            }
          ]
        },
        "unless": {
          "clauses": [
            {
              "selectors": [
                {
                  "key": "<string>",
                  "value": "<string>",
                  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                }
              ],
              "attribute_selectors": [
                {
                  "attribute": "HR_IDP_STATUS",
                  "values": [
                    "<string>"
                  ]
                }
              ]
            }
          ]
        }
      }
    }
  ],
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
}

Documentation Index

Fetch the complete documentation index at: https://docs.opal.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page. Default is 200.

Response

200 - application/json

One page of access rules for your organization.

results
object[]
required
next
string

The cursor with which to continue pagination if additional result pages exist.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

previous
string

The cursor used to retrieve the previous page of results.

Example:

"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"

Last modified on May 13, 2026